import request from '@/utils/request'

// 获取列表
export function getTableList(parms) {
  return request({
    url: '/common/tender',
    method: 'get',
    params: parms
  })
}
// 获取列表
export function getQueryId(parms) {
  return request({
    url: '/common/tender/logistics',
    method: 'get',
    params: parms
  })
}
// 修改列表
export function getQueryEdit(parms) {
  return request({
    url: '/common/tender/update',
    method: 'put',
    data: parms
  })
}
// 添加列表
export function getQueryAdd(parms) {
  return request({
    url: '/common/tender',
    method: 'post',
    data: parms
  })
}
// 作废列表
export function getQueryDelete(tenderType,tenderParentId) {
  return request({
    url: ' /common/tender/'+ tenderType+"/"+tenderParentId,
    method: 'PUT',
  })
}

// 下载
export function loadCustomer(parms) {
  return request({
    url: '/bidding/load',
    method: 'get',
    params: parms
  })
}

// 获取下载模板URL
export function apiFile(value){
  return request({
    url:"/file/template/" + value,
    method:"get"
  })
}



